/* ansi.h                    */
/* ansi escape sequence      */
/* H. Okajima                */
/* Oct. 25 2001              */

/* screen control parameter  */
/* assigned hex value for each key */
#define BEL            0x07
#define LEFT           0x08
#define BS             0x08
#define TAB            0x09
#define DOWN           0x0a
#define LF             0x0a
#define UP             0x0b
#define RIGHT          0x0c
#define CR             0x0d
#define ESC            0x1b
#define SPACE          0x20

/* ANSI escape sequense macro */
#define cls(i)         printf("\033[%dJ", (i)) /* CLear Screen */
#define cll(i)         printf("\033[%dK",(i))  /* Clear Line   */
#define scp()          printf("\033[s")        /* Save Cursor Position */
#define rcp()          printf("\033[u")        /* Restore Cursor Position */
#define locate(x,y)    printf("\033[%d;%dH",(y)+1,(x)+1)
#define attribute(c,m) printf("\033[%d;%dm", (c), (m))

/* parameter of cls() */
#define BELOW          0
#define ABOVE          1
#define ALL            2

/* parameter of cll() */
#define ROC            0     /*  Right Of Cursor  */
#define LOC            1     /*  Left Of Cursor   */
#define LINE           2

