/**************************************************************
defs.h            H8/3048F-ONE for LOGOS IP_H8_48F-ONE board

System definitions

Date   Jul. 22 2002
Author H. Okajima

Version History
Rev     Date           Changes
1.00    Jul. 22 2002   Original Version
***************************************************************/

/* CPU clock definition */
#define CLOCK    25.0000  /* CPU Clock Frequency MHz */

/*  SCI Asyncronus Baurate list */
#define BRR_4800BPS   (int)(CLOCK*1000000/32/4800 - 0.5)
#define BRR_9600BPS   (int)(CLOCK*1000000/32/9600 - 0.5)
#define BRR_19200BPS  (int)(CLOCK*1000000/32/19200 - 0.5)
#define BRR_38400BPS  (int)(CLOCK*1000000/32/38400 - 0.5)
#define BRR_57600BPS  (int)(CLOCK*1000000/32/57600 - 0.5)

#define DEF_BRR BRR_38400BPS /* default baurate */

/* SCI Buffer sizes */
#define SCI0_RX_SIZE         64
#define SCI0_TX_SIZE        128
#define SCI1_RX_SIZE         64
#define SCI1_TX_SIZE        128

/* ITU parameter definition */
#define Int_Time  0.01    /* sec */
#define ICOUNT (int)(CLOCK*1000000/8*Int_Time-1)  /* Clock / 8 * Int_Time - 1 */
                       /* Int_Time =  1/Clock * Div(8) * (ICOUNT + 1) */
#define Max_ICOUNT  100    /* 0.01 * 100 = 1(sec) */

/* special functions */
/* Disable Interupts */
#define DisableIRQ    asm("orc.b #0xc0,ccr")  /* Set interrupt mask   */
/* Enable Interupts */
#define EnableIRQ     asm("andc.b #0x3f,ccr") /* Clear interrupt mask */


